Bug 199980 - crash after recovering a *.doc and trying to save
crash after recovering a *.doc and trying to save
Status: CLOSED DUPLICATE of bug 193918
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-24 15:02 EDT by Suhan Andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 04:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhan Andrei 2006-07-24 15:02:21 EDT
Description of problem:
Video Driver is probably: nvidia
Desktop is: not GNOME
libgcj version is: libgcj-4.1.0-3
kernel is: Linux 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006 i686 i686 i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.2.2
accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x452cf680: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e680
0x452cfec0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eec0
0x43f4f420:  + 0x420 (__kernel_sigreturn + 0x0)
0x448066e3: /lib/libc.so.6 + 0x296e3 (abort + 0x103)
0x44c9b550: /usr/lib/libstdc++.so.6 + 0xb9550
(__gnu_cxx::__verbose_terminate_handler() + 0x150)
0x44c98f75: /usr/lib/libstdc++.so.6 + 0xb6f75
0x44c9830a: /usr/lib/libstdc++.so.6 + 0xb630a
0x44c98dd9: /usr/lib/libstdc++.so.6 + 0xb6dd9 (__gxx_personality_v0 + 0x2b9)
0x44bda996: /lib/libgcc_s.so.1 + 0x6996
0x44bdae32: /lib/libgcc_s.so.1 + 0x6e32 (_Unwind_Resume + 0x92)
0x7b2b93a: /usr/lib/openoffice.org2.0/program/libemboleobj.so + 0x1693a
(OleEmbeddedObject::TryToRetrieveCachedVisualRepresentation_Impl(com::sun::star::uno::Reference<com::sun::star::io::XStream>
const&) + 0x2b8)
0x7b2eeb9: /usr/lib/openoffice.org2.0/program/libemboleobj.so + 0x19eb9
(OleEmbeddedObject::getPreferredVisualRepresentation(long long) + 0xf3)
0x468d05f7: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xee5f7
(svt::EmbeddedObjectRef::GetGraphicReplacementStream(long long,
com::sun::star::uno::Reference<com::sun::star::embed::XEmbeddedObject> const&,
rtl::OUString*) + 0x3d)
0x468d07df: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xee7df
0x468d0935: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xee935
(svt::EmbeddedObjectRef::GetReplacement(unsigned char) + 0xb1)
0x468d09d3: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xee9d3
(svt::EmbeddedObjectRef::GetGraphic(rtl::OUString*) const + 0x31)
0x47d633b7: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1fb3b7
0x4806a4cd: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5024cd
0x4808502f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x51d02f
0x480851bb: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x51d1bb
0x48080f7f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x518f7f
0x48081336: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x519336
0x48081db3: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x519db3
0x48082293: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x51a293
0x48054f7d: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4ecf7d
0x480558cb: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4ed8cb
0x480559b2: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4ed9b2
0x47fc18b7: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4598b7
0x4811b041: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5b3041
0x4639d63c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13363c
0x4639e190: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x134190
0x4639e530: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x134530
0x463cb921: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x161921
(SfxBaseModel::storeSelf(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x5c5)
0x463da99d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17099d
0x463a5c7c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13bc7c
0x463a7210: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13d210
0x46418472: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae472
0x46417671: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad671
0x46417975: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad975
0x46417a18: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ada18
0x463131be: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa91be
0x464307bd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c67bd
0x46430578: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6578
0x464307d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c67d2
0x46430564: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6564
0x459ce2f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x832f6
0x45b1cc26: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1c26
0x3ee6b6: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1e6b6
0x4123da: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x423da
(SalDisplay::DispatchInternalEvent() + 0x64)
0x6fc8ca: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x148ca
0x44d186e1: /usr/lib/libglib-2.0.so.0 + 0x236e1
0x44d1a09d: /usr/lib/libglib-2.0.so.0 + 0x2509d (g_main_context_dispatch + 0x16d)
0x44d1d32f: /usr/lib/libglib-2.0.so.0 + 0x2832f
0x44d1d895: /usr/lib/libglib-2.0.so.0 + 0x28895 (g_main_context_iteration + 0x65)
0x6fc771: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14771
0x41321d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4321d
(X11SalInstance::Yield(unsigned char) + 0x27)
0x459d5866: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a866
(Application::Yield() + 0x48)
0x459d58ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a8ea
(Application::Execute() + 0x26)
0x47aa50bb: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x280bb
(desktop::Desktop::Main() + 0x15af)
0x459d9956: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e956
0x459d9a09: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea09
(SVMain() + 0x2b)
0x47a9dbf3: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20bf3 (sal_main
+ 0x57)
0x47a9dc3f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20c3f (main + 0x27)
0x447f27e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4d1


Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006
i686 i686 i386 GNU/Linux

rpm -qa | grep openoffice
openoffice.org-core-2.0.2-5.2.2
openoffice.org-draw-2.0.2-5.2.2
openoffice.org-math-2.0.2-5.2.2
openoffice.org-xsltfilter-2.0.2-5.2.2
openoffice.org-writer-2.0.2-5.2.2
openoffice.org-calc-2.0.2-5.2.2
openoffice.org-graphicfilter-2.0.2-5.2.2
openoffice.org-impress-2.0.2-5.2.2


How reproducible:
always on the respective doc.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
crash

Expected results:
shall not crash and let me save the document in whatever format it is supported.

Additional info:
Comment 1 Caolan McNamara 2006-07-25 04:21:39 EDT

*** This bug has been marked as a duplicate of 193918 ***

Note You need to log in before you can comment on or make changes to this bug.